% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Tilt Link HR H
% AngDef_PCLHR contiene le medie per l'intervallo definito degli angoli
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_PCLHR,AngDef_PCLHR,TempDef_PCLHR] = MediaDati_PCLHR(...
    angPCLHR,TimePCLHR,NdatiMedia,tempPCLHR,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_PCLHR function started';
fprintf(fileID,fmt,text);

[r,~]=size(angPCLHR);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_PCLHR = TimePCLHR;

%% Accelerazione
AngDef_PCLHR = smoothdata(angPCLHR,'gaussian',NdatiMedia);

%% Temperatura
TempDef_PCLHR = tempPCLHR; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average values for PreConv Link HR have been processed. MediaDati_PCLHR function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end